package com.zd.airbottle.service;

import com.zd.airbottle.domain.QpRfidTag;

import java.util.List;

/**
 * RFID标签管理Service接口
 *
 * @author zd
 * @date 2022-06-06
 */
public interface IQpRfidTagService
{
    /**
     * 查询RFID标签管理
     *
     * @param id RFID标签管理主键
     * @return RFID标签管理
     */
    QpRfidTag selectQpRfidTagById(Long id);

    /**
     * 查询RFID标签管理列表
     *
     * @param qpRfidTag RFID标签管理
     * @return RFID标签管理集合
     */
    List<QpRfidTag> selectQpRfidTagList(QpRfidTag qpRfidTag);

    /**
     * 新增RFID标签管理
     *
     * @param qpRfidTag RFID标签管理
     * @return 结果
     */
    int insertQpRfidTag(QpRfidTag qpRfidTag);

    /**
     * 修改RFID标签管理
     *
     * @param qpRfidTag RFID标签管理
     * @return 结果
     */
    int updateQpRfidTag(QpRfidTag qpRfidTag);

    /**
     * 批量删除RFID标签管理
     *
     * @param ids 需要删除的RFID标签管理主键集合
     * @return 结果
     */
    int deleteQpRfidTagByIds(Long[] ids);

    /**
     * 删除RFID标签管理信息
     *
     * @param id RFID标签管理主键
     * @return 结果
     */
    int deleteQpRfidTagById(Long id);

    /**
     * 根据code查询
     * @param code
     * @return
     */
    int selectCountTag(String code);

    /***
     * 根据标签查询
     * @param tag
     * @return
     */
    QpRfidTag selectByTag(String tag);
}
